# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- default
  - default

- Defined in src/ui/ball-ui-handler.ts:11

##### Index

### Constructors

constructor

### Properties

active
cursor
mode

### Methods

clear
destroy
eraseCursor
getCursor
getTextColor
getUi
processInput
setCursor
setMouseCursorStyle
setup
show
updateCounts

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/ball-ui-handler.ts:20

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

## Methods

### clear

- clear(): void

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/ball-ui-handler.ts:136

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### eraseCursor

- eraseCursor(): void

  #### Returns void

  - Defined in src/ui/ball-ui-handler.ts:142

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### processInput

- processInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/ball-ui-handler.ts:72

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/ball-ui-handler.ts:122

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): void

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/ball-ui-handler.ts:24

### show

- show(args: any[]): boolean

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/ball-ui-handler.ts:62

### updateCounts

- updateCounts(): void

  #### Returns void

  - Defined in src/ui/ball-ui-handler.ts:114